Page MenuHomeFreeBSD

Mk/Uses/go.mk: Add GO_TESTTARGET and provide default do-test (take #2)
ClosedPublic

Authored by dmgk on Nov 16 2019, 7:02 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Feb 25, 5:15 AM
Unknown Object (File)
Jan 14 2024, 3:59 PM
Unknown Object (File)
Dec 20 2023, 5:03 AM
Unknown Object (File)
Nov 11 2023, 1:57 AM
Unknown Object (File)
Nov 9 2023, 10:35 PM
Unknown Object (File)
Nov 9 2023, 2:00 AM
Unknown Object (File)
Nov 5 2023, 7:24 PM
Unknown Object (File)
Oct 30 2023, 10:34 PM
Subscribers

Details

Summary
Add GO_TESTTARGET defaulting to `./...` (the current package and all
subpackages) and create do-test target unless already provided by port's
Makefile.

In many cases this would allow us to remove explicit do-test and rely on
defaults provided by ports framework for testing.

While here also

- remove GO_WRKDIR_SRC - it is not used anywhere anymore
- sync GO_PKGNAME and GO_TARGET descriptions with Porter's Handbook

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 29454
Build 27330: arc lint + arc unit

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Nov 17 2019, 4:19 PM
This revision was automatically updated to reflect the committed changes.
dmgk retitled this revision from Mk/Uses/go.mk: Add GO_TEST_TARGET and provide default do-test to Mk/Uses/go.mk: Add GO_TESTTARGET and provide default do-test (take #2).
dmgk edited the summary of this revision. (Show Details)

Rename to GO_TESTTARGET to avoid sanity check false positives.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 20 2020, 12:15 PM
This revision was automatically updated to reflect the committed changes.